[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemProp.MaxLength

Specifies the maximum length of the item value.

## Declaration

Source position: valedit.pas line 50

`published property TItemProp.MaxLength : Integer read FMaxLength write SetMaxLength;`

## Description

MaxLength is an Integer property that specifies the maximum length of the item value in TValueListEditor. Changing the value in MaxLength causes the TValueListEditor (which owns the item) to be redrawn when its EditorMode property is set to True.

## See also

TValueListEditor.ItemProps |  | Provides indexed access to item definitions in the control.
TValueListEditor.Values |  | Provides indexed access to Values stored in the control.
TCustomStringGrid.EditorMode |  | True when the Editor is ready to modify the value for the current cell.